0

In the substrate-node-template, I can't see the local node identity whenever I start the node with ./target/release/node-template --dev: e.g.

enter image description here

Apparently to fix this I need to pin my tracing-core version to 0.1.26, but I do not know how I can do this. I've tried running cargo update -p tracing-core --precise 0.1.26 but I get this error: error: failed to select a version for the requirementtracing-core = "^0.1.27"candidate versions found which didn't match: 0.1.26

I'm also not sure how to modify the Cargo.toml files in substrate-node-template to fix this issue.

1 Answer 1

1

Looks like there is an issue for this:

I was able to replicate this issue on:

Logs are working for me fine on:

Try using polkadot-v0.9.28 tag of the node-template.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.